is.R                  package:base                  R Documentation

Are we using R, rather than S?

Description:

     Test if running under R.

Usage:

     is.R()

Details:

     The function has been written such as to correctly run in all
     versions of R, S and S-PLUS. In order for code to be runnable in
     both R and S dialects, either your the code must define 'is.R' or
     use it as

     'if (exists("is.R") && is.function(is.R) && is.R()) {'
      '    '_## R-specific code_
      '} else {'
      '    '_## S-version of code_
      '}'

Value:

     'is.R' returns 'TRUE' if we are using R and 'FALSE' otherwise.

See Also:

     'R.version', 'system'.

Examples:

     x <- runif(20); small <- x < 0.4
     ## 'which()' only exists in R:
     if(is.R()) which(small) else seq(along=small)[small]

